---
title: "What about open-source reverbs?"
date: 2023-08-16T13:46:29+02:00
draft: false
ShowToc: true
cover:
    image: "/posts/what-about-open-source-reverbs/Cover.png"
    caption: "What about open-source reverbs"
    relative: false
    responsiveImages: false
tags: 
    - Music
    - OpenSource
    - Plugins
---

## Intro

I decided to stop using Valhalla DSP plugins, because I totaly disagree with their position about Linux users. I understand that they might not want to build plugins against Linux, but I've offered them to add their plugins wrapped with `yabridge` to AUR, so they can have more users that would not actually require any support, but they said that they won't support it. So I've decided for myself to ban Valhalla plugins. So I've decided to start looking for other reverbs. I've decided to check different open source plugins, so I won't get into a situation like this one, with Valhalla. 

## What are the options?

The most obvious place to be looking for open source plugins is (unfortunatelly) GitHub. So I went here: https://github.com/webprofusion/OpenAudio
And here we got several reverbs: 
- [Cloud Seed](https://github.com/webprofusion/OpenAudio)
- [Convolver](https://github.com/teragonaudio/Convolver)
- [Dragonfly Reverb](https://github.com/michaelwillis/dragonfly-reverb)
- [Gverb/Gigaverb](http://elements.byethost3.com/plugins.html)
- [MVerb](https://github.com/martineastwood/mverb)
- [REACH](https://github.com/Sinuslabs/Reach)

Let's check all of them here. To check the sound I'll take several samples from FreeSound:
- Vocals: https://freesound.org/people/ashesanddreams/sounds/610416/
- Drums: https://freesound.org/people/holizna/sounds/629134/
- Synth: https://freesound.org/people/Rvgerxini/sounds/547113/
- Guitar: https://freesound.org/people/eqavox/sounds/683953/


## ~~Cloud Seed~~ CloudReverb

A new link: https://github.com/xunil-cloud/CloudReverb

Unfortunatelly, I've found out that Cloud Seed is supposed to work only on Windows, and I'm currently testing the Linux setup, so it doesn't work. But I've found another plugins that is based on the Cloud Seed algorithm, and it should work on Linux and MacOS.

I don't think it's packaged for any distro but binaries can bi found on GitHub, so let's download and try the plugin. The LV2 versions doesn't work for me, but VST3 is going just fine. It looks like that

![CloudReverb](/posts/what-about-open-source-reverbs/CloudReverb.png)

I think that the "blog" format doesn't play well with the "check-every-option-out" way, so I'll just be making small clips about whot plugin can sound like.

> You can hear some noizes and scratches, they are not plugins or audio artifacts, just my system produces them when I recodr Ardour with OBS studio. Just try to ignore them.

{{< video "/posts/what-about-open-source-reverbs/CloudReverb.mp4" "video-1" >}}

I'd say that it's a dope reverb, and I guess that I'll add it to my list of plugins that I'm using on Linux. 

## Convolver

This project was archived, and the last commit was pushed 11 years ago, so I'd say that I'm not checking this one. If you know a project that has taken developmsent over, feel free to reach me, I'll try it then.

## Dragonfly Reverb

I'm using this reverb almost all the time and not only on Linux, so it's not something new to me, and I guess that many of you have heard about it already.

You can get it from AUR if you're on Arch, or download it from Github: https://github.com/michaelwillis/dragonfly-reverb/releases/tag/3.2.10

![DragonFly](/posts/what-about-open-source-reverbs/DragonFly.png)

As you can see, it's not just one reverb, it's four different ones.

### Early Reflections 

{{< video "/posts/what-about-open-source-reverbs/DragonFlyER.mp4" "video-2" >}}

### Hall

> My Laptop can't pull it off, so there are a lot of noizes. I think you might want to check it yourself.

{{< video "/posts/what-about-open-source-reverbs/DragonFlyHall.mp4" "video-3" >}}


